Saltar al contenido principal
POST
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
/
json
Crear una Transacción usando JSON
curl --request POST \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/json \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "description": "Transfer of 100 BRL from customer_wallet to merchant_account",
  "code": "TXN-2025-000123",
  "pending": true,
  "transactionDate": "2025-04-02T14:15:22Z",
  "send": {
    "asset": "BRL",
    "value": "100.00",
    "source": {
      "from": [
        {
          "accountAlias": "@external/BRL",
          "amount": {
            "asset": "BRL",
            "value": "100.00"
          },
          "description": "Payment from customer wallet",
          "balanceKey": "settlement",
          "metadata": {
            "type": "debit",
            "origin": "mobile_app"
          }
        }
      ]
    },
    "distribute": {
      "to": [
        {
          "accountAlias": "@customer_brl_wallet",
          "amount": {
            "asset": "BRL",
            "value": "100.00"
          },
          "description": "Settlement to merchant account",
          "balanceKey": "settlement",
          "metadata": {
            "type": "credit",
            "channel": "pix",
            "purpose": "ecommerce_payment"
          }
        }
      ]
    }
  },
  "metadata": {
    "referenceId": "ORDER-90871",
    "channel": "mobile",
    "notes": "E-commerce Pix payment"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "route": "<string>",
  "status": {
    "code": "<string>",
    "description": "<string>"
  },
  "amount": "<string>",
  "assetCode": "<string>",
  "chartOfAccountsGroupName": "<string>",
  "source": [
    "<string>"
  ],
  "destination": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "operations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountAlias": "<string>",
      "balanceId": "<string>",
      "balanceKey": "<string>",
      "description": "<string>",
      "type": "CREDIT",
      "assetCode": "<string>",
      "chartOfAccounts": "<string>",
      "route": "<string>",
      "amount": {
        "value": "<string>"
      },
      "balance": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "balanceAfter": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "status": {
        "code": "<string>",
        "description": "<string>"
      },
      "balanceAffected": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

X-Idempotency
string

A unique key that ensures transaction idempotency. If not provided, the system automatically generates a hash based on the transaction data.

X-TTL
integer

The time-to-live for the key, defined in seconds.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

Cuerpo

application/json
send
object
requerido

An object containing information about the transaction that will be sent.

description
string

A description for the transaction.

Maximum string length: 256
pending
boolean
predeterminado:false

Indicates whether the transaction should follow a two-step process: authorization followed by execution. When set to true, the transaction is created in a pending state, reserving funds (on_hold) without immediately moving them. A subsequent commit is required to finalize the transfer.

code
string

Transaction code for reference.

Maximum string length: 100
route
string

Specifies the Transaction Route associated with the transaction. Important: When Transaction Routing validation is enabled for your Ledger, this field becomes mandatory and must match an existing id from your configured Transaction Routes. However, when validation is disabled (default behavior), this field is optional and accepts any free-form string.

transactionDate
string

The time when the transaction was made. Used to add past transactions. Must be a date in the past.

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

id
string<uuid>

The unique identifier of the transaction.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

description
string

Description of the transaction.

route
string

Specifies the Transaction Route associated with the transaction.

status
object

The transaction status (pending, completed, reversed).

amount
string

The sent amount.

assetCode
string

The name of the asset used in the operation.

chartOfAccountsGroupName
string

The name of the chart-of-accounts group.

source
string[]

The list of accounts used as source.

destination
string[]

The list of accounts used as destination.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

operations
object[]
metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.